package com.ssj.taskthread;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
*2017年8月17日13:43:14
* @author wuwen
*/
/* 所有任务的接口 */
 public abstract class Task implements Runnable {
	 
	   protected Logger logger = LoggerFactory.getLogger(this.getClass());
       public long _taskID = 0;
       public Task(){
           
       }
       
       public Task(long task_id){
           _taskID = task_id;
       }
       
       public void setTaskId(long task_id){
           _taskID = task_id;
       }
       
       public long getTaskId(){
           return _taskID;
       }
       
       public void run() {

       }
}
